'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _csvStringify = require('csv-stringify');

var _csvStringify2 = _interopRequireDefault(_csvStringify);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _underscore = require('underscore');

var _underscore2 = _interopRequireDefault(_underscore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var stringifier = _bluebird2.default.promisify(_csvStringify2.default);

var CSVExporter = function () {
  function CSVExporter(app) {
    _classCallCheck(this, CSVExporter);

    app.get('data-loader').exporter('csv', _underscore2.default.partial(this.export, ',').bind(this));
    app.get('data-loader').exporter('tsv', _underscore2.default.partial(this.export, '\t').bind(this));
  }

  _createClass(CSVExporter, [{
    key: 'export',
    value: function _export(delimiter, records, opts) {
      opts.delimiter = opts.delimiter || delimiter;
      if (!opts.header) {
        opts.header = true;
      }
      return stringifier(records, opts);
    }
  }]);

  return CSVExporter;
}();

exports.default = CSVExporter;