'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _underscore = require('underscore');

var _underscore2 = _interopRequireDefault(_underscore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var GeoJSONExporter = function () {
  function GeoJSONExporter(app) {
    _classCallCheck(this, GeoJSONExporter);

    app.get('data-loader').exporter('geojson', this.export.bind(this));
  }

  _createClass(GeoJSONExporter, [{
    key: 'export',
    value: function _export(records, opts) {

      var json = {
        type: 'FeatureCollection',
        features: records
      };
      return JSON.stringify(json);
    }
  }]);

  return GeoJSONExporter;
}();

exports.default = GeoJSONExporter;