'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var JSONExporter = function () {
  function JSONExporter(app) {
    _classCallCheck(this, JSONExporter);

    app.get('data-loader').exporter('json', this.export.bind(this));
  }

  /**
   * Stringify an array of results into JSON. Assumes top-level is array, unless
   *  opts.key is provided to wrap results in an object.
   * @param {array} records
   * @param {object} options
   */


  _createClass(JSONExporter, [{
    key: 'export',
    value: function _export(records, opts) {
      if (opts.key) {
        var obj = {};
        obj[opts.key] = records;
        records = obj;
      }
      return JSON.stringify(records);
    }
  }]);

  return JSONExporter;
}();

exports.default = JSONExporter;