'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var JSONParser = function () {
  function JSONParser(app) {
    _classCallCheck(this, JSONParser);

    app.get('data-loader').parser('json', this.parse.bind(this));
  }

  /**
   * Parse JSON into an array of results. Assumes top-level is array, unless
   *  opts.key is provided to pick a top-level key from parsed object as results.
   * @param {string} contents
   * @param {object} options
   */


  _createClass(JSONParser, [{
    key: 'parse',
    value: function parse(contents, opts) {
      var results = JSON.parse(contents);
      if (opts.key) {
        results = results[opts.key];
      }
      return results;
    }
  }]);

  return JSONParser;
}();

exports.default = JSONParser;