'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _underscore = require('underscore');

var _underscore2 = _interopRequireDefault(_underscore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var GeoJSON = function () {
  function GeoJSON(app) {
    _classCallCheck(this, GeoJSON);

    app.get('data-loader').parser('geojson', this.parse.bind(this));
  }

  _createClass(GeoJSON, [{
    key: 'parse',
    value: function parse(contents, opts) {
      var json = JSON.parse(contents);
      var results = _underscore2.default.map(json.features, function (f) {
        return _underscore2.default.extend(f, f.properties);
      });
      return results;
    }
  }]);

  return GeoJSON;
}();

exports.default = GeoJSON;